Bug 9632 - internal server cannot retrieve large DNS queries
internal server cannot retrieve large DNS queries
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: DNS server
4.0.0
All All
: P5 major
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 17:25 UTC by Bob Miller
Modified: 2013-06-11 10:16 UTC (History)
1 user (show)

See Also:


Attachments
network trace of DC using internal DNS - resolving failures and successes (6.99 KB, application/octet-stream)
2013-02-04 17:25 UTC, Bob Miller
no flags Details
network trace of bind server queries forwarded by internal DNS - resolving failures and successes (6.99 KB, application/octet-stream)
2013-02-04 17:28 UTC, Bob Miller
no flags Details
Add support for OPT record (1.36 KB, patch)
2013-05-25 11:33 UTC, Kai Blin
no flags Details
And support larger DNS queries (3.98 KB, patch)
2013-05-25 11:35 UTC, Kai Blin
no flags Details
Add support for OPT record (1.47 KB, patch)
2013-06-09 09:09 UTC, Kai Blin
abartlet: review+
Details
And support larger DNS queries (4.09 KB, patch)
2013-06-09 09:09 UTC, Kai Blin
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Miller 2013-02-04 17:25:32 UTC
Created attachment 8527 [details]
network trace of DC using internal DNS - resolving failures and successes

the command dig -t any samba.org will result in failure to retrieve any records.  The command dig -t rrsig isc.org will result in failure to retrieve the record.

Seems any query too large will fail to arrive at the internal dns server, though the request will be forwarded to a bind server and the bind server will correctly resolve the query.
Comment 1 Bob Miller 2013-02-04 17:28:05 UTC
Created attachment 8528 [details]
network trace of bind server queries forwarded by internal DNS - resolving failures and successes
Comment 2 Kai Blin 2013-05-25 10:04:01 UTC
I'm working on a fix here.
Comment 3 Kai Blin 2013-05-25 11:33:59 UTC
Created attachment 8919 [details]
Add support for OPT record
Comment 4 Kai Blin 2013-05-25 11:35:32 UTC
Created attachment 8920 [details]
And support larger DNS queries

Together with the OPT record support, this fixes the problem of not being able to forward large DNS responses.
Comment 5 Kai Blin 2013-05-25 11:36:10 UTC
someone please review and assign to Karolin.
Comment 6 Kai Blin 2013-06-09 09:09:03 UTC
Created attachment 8953 [details]
Add support for OPT record

Now cherry-picked with -x
Comment 7 Kai Blin 2013-06-09 09:09:50 UTC
Created attachment 8954 [details]
And support larger DNS queries

cherry-picked with -x
Comment 8 Andrew Bartlett 2013-06-09 09:12:26 UTC
Reassign to Karolin for 4.0
Comment 9 Karolin Seeger 2013-06-11 08:17:44 UTC
Pushed to autobuild-v4-0-test.
Comment 10 Karolin Seeger 2013-06-11 10:16:24 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!